import request from "@/common/request.js"

// 检测APP更新方法
function checkUpdateApp() {
	return new Promise((resolve, reject) => {
		if(uni.getSystemInfoSync().platform === 'android') {
			plus.runtime.getProperty(plus.runtime.appid, (inf) => {
				// console.log(inf) // 手机上的APP版本
				request({
					url: '/api/ajax/version',
					data: {
						
					}
				}).then(res => {
					// console.log(res)
					// console.log(inf)
					if(Number(res.data.version_data.newversion) != Number(inf.version)) {
						resolve(res)
					} else {
						reject({ msg: '暂无新版本' })
					}
				}).catch(err => {
					reject(err)
				})
			});
		} else if(uni.getSystemInfoSync().platform === 'ios') {
			reject({ msg: 'ios暂不支持在线更新' })
		}
	})
}


export default checkUpdateApp